### Class

# Gimp ColorTransform

#### Description [src]

    class Gimp.ColorTransform : GObject.Object {
      parent_instance: GObject,
      priv: GimpColorTransformPrivate*
    }

Definitions and Functions relating to LCMS.

#### Ancestors

- GObject

#### Constructors

###### gimp_color_transform_new

This function creates an color transform.

Available since: 2.10

###### gimp_color_transform_new_proofing

This function creates a simulation / proofing color transform.

Available since: 2.10

#### Functions

###### gimp_color_transform_can_gegl_copy

This function checks if a GimpColorTransform is needed at all.

Available since: 2.10

#### Instance methods

###### gimp_color_transform_process_buffer

This function transforms buffer into another buffer.

Available since: 2.10

###### gimp_color_transform_process_pixels

This function transforms a contiguous line of pixels.

Available since: 2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Gimp.ColorTransform::progress

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpColorTransformClass {
      GObjectClass parent_class;
      void (* progress) (
        GimpColorTransform* transform,
        gdouble fraction
      );
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`progress`

    void (* progress) (
        GimpColorTransform* transform,
        gdouble fraction
      )

| No description available.

`_gimp_reserved1`

    void (* _gimp_reserved1) (
    void
      )

| No description available.

`_gimp_reserved2`

    void (* _gimp_reserved2) (
    void
      )

| No description available.

`_gimp_reserved3`

    void (* _gimp_reserved3) (
    void
      )

| No description available.

`_gimp_reserved4`

    void (* _gimp_reserved4) (
    void
      )

| No description available.

`_gimp_reserved5`

    void (* _gimp_reserved5) (
    void
      )

| No description available.

`_gimp_reserved6`

    void (* _gimp_reserved6) (
    void
      )

| No description available.

`_gimp_reserved7`

    void (* _gimp_reserved7) (
    void
      )

| No description available.

`_gimp_reserved8`

    void (* _gimp_reserved8) (
    void
      )

| No description available.

#### Virtual methods

###### Gimp.ColorTransformClass.progress

No description available.